Manifest-Version: 1.0
Bnd-LastModified: 1721262279050
Bundle-ClassPath: .,lib/json-path-2.2.0.jar,lib/archaius-core-0.4.1.ja
 r,lib/hystrix-core-1.5.11.jar,lib/commons-configuration-1.8.jar,lib/c
 ommons-io-2.8.0.jar,lib/rxjava-1.2.0.jar,lib/accessors-smart-2.4.2.ja
 r,lib/json-smart-2.4.2.jar,lib/HdrHistogram-2.1.9.jar,lib/asm-5.0.3.j
 ar
Bundle-ManifestVersion: 2
Bundle-Name: Liferay Dynamic Data Mapping Data Provider Implementation
Bundle-SymbolicName: com.liferay.dynamic.data.mapping.data.provider.im
 pl
Bundle-Vendor: Liferay, Inc.
Bundle-Version: 4.0.20.hotfix-9021-7310
Created-By: 1.8.0_381 (Oracle Corporation)
Import-Package: com.liferay.dynamic.data.mapping.annotations;version="
 1.2",com.liferay.dynamic.data.mapping.data.provider;version="3.1",com
 .liferay.dynamic.data.mapping.data.provider.configuration;version="1.
 1",com.liferay.dynamic.data.mapping.data.provider.settings;version="1
 .0",com.liferay.dynamic.data.mapping.io;version="2.2",com.liferay.dyn
 amic.data.mapping.model;version="4.6",com.liferay.dynamic.data.mappin
 g.service;version="3.9",com.liferay.dynamic.data.mapping.storage;vers
 ion="1.4",com.liferay.dynamic.data.mapping.util;version="2.9",com.lif
 eray.petra.json.web.service.client;version="10.1",com.liferay.petra.r
 eflect;version="1.4",com.liferay.portal.configuration.metatype.bnd.ut
 il;version="2.0",com.liferay.portal.kernel.cache;version="9.1",com.li
 feray.portal.kernel.exception;version="9.5",com.liferay.portal.kernel
 .json;version="8.10",com.liferay.portal.kernel.log;version="7.0",com.
 liferay.portal.kernel.security.auth;version="2.6",com.liferay.portal.
 kernel.security.permission;version="3.4",com.liferay.portal.kernel.ut
 il;version="10.28",javax.management,javax.naming,javax.servlet,javax.
 sql,javax.xml.bind,javax.xml.parsers,javax.xml.transform,javax.xml.tr
 ansform.dom,javax.xml.transform.stream,org.apache.commons.beanutils,o
 rg.apache.commons.codec.binary,org.apache.commons.collections,org.apa
 che.commons.lang,org.apache.commons.lang.exception,org.apache.commons
 .lang.text,org.apache.commons.logging,org.apache.commons.logging.impl
 ,org.json,org.slf4j;version="1.7",org.w3c.dom,org.xml.sax,org.xml.sax
 .helpers,sun.misc
Javac-Debug: on
Javac-Deprecation: off
Javac-Encoding: UTF-8
Liferay-Releng-App-Title: Liferay Dynamic Data Mapping
Liferay-Releng-Bundle: true
Liferay-Releng-Category: Productivity
Liferay-Releng-Deprecated: false
Liferay-Releng-Fix-Delivery-Method: core
Liferay-Releng-Labs: false
Liferay-Releng-Marketplace: true
Liferay-Releng-Portal-Required: true
Liferay-Releng-Public: false
Liferay-Releng-Restart-Required: true
Liferay-Releng-Suite: forms-and-workflow
Liferay-Releng-Suite-Description: Apps and Features: Calendar, Dynamic
  Data Lists, Dynamic Data Mapping, Forms, Polls, Workflow<br /><br />
 An increase in productivity means you're saving time and effort; youâ
 €™re becoming more efficient. The Forms and Workflow apps help you do
  that by giving you built-in calendars and the ability to create your
  own forms and list applications. These are powerful, flexible apps t
 hat can be quickly leveraged for basic tasks, or carefully configured
  and mastered to perfect business processes.<br /><br />Need a quick 
 survey or complex Sign Up form? Use the Liferay Forms app and make an
 y forms you want. If there's a forms feature you need, this app proba
 bly has it.<br /><br />Maybe you need an entire list application, and
  you need it today. Dynamic Data Lists lets you do it without any dev
 eloper expertise.<br /><br />Do you need personal calendars for your 
 users, and/or site calendars? Do you need the calendar to be highly c
 onfigurable? Use the Calendar app.<br /><br />Would you like to initi
 ate a review process when new content, or any new asset, is created? 
 The Kaleo Workflow Engine lets you send any asset through review befo
 re it gets published.<br /><br />Want to quickly get the opinion of y
 our users on something? The Polls app is extremely easy to use.<br />
 <br />This suite may contain modules that depend on Foundation suite 
 modules. This suite is available in the Liferay bundle.
Liferay-Releng-Suite-Title: Liferay Forms and Workflow
Liferay-Releng-Support-Url: http://www.liferay.com
Liferay-Releng-Supported: true
Private-Package: com.liferay.dynamic.data.mapping.data.provider.intern
 al,com.liferay.dynamic.data.mapping.data.provider.internal.rest,com.l
 iferay.dynamic.data.mapping.data.provider.internal.settings,lib,com.j
 ayway.jsonpath,com.jayway.jsonpath.internal,com.jayway.jsonpath.inter
 nal.filter,com.jayway.jsonpath.internal.function,com.jayway.jsonpath.
 internal.function.json,com.jayway.jsonpath.internal.function.numeric,
 com.jayway.jsonpath.internal.function.text,com.jayway.jsonpath.intern
 al.path,com.jayway.jsonpath.spi.cache,com.jayway.jsonpath.spi.json,co
 m.jayway.jsonpath.spi.mapper,com.netflix.config,com.netflix.config.jm
 x,com.netflix.config.samples,com.netflix.config.sources,com.netflix.c
 onfig.util,com.netflix.hystrix,com.netflix.hystrix.collapser,com.netf
 lix.hystrix.config,com.netflix.hystrix.exception,com.netflix.hystrix.
 metric,com.netflix.hystrix.metric.consumer,com.netflix.hystrix.metric
 .sample,com.netflix.hystrix.strategy,com.netflix.hystrix.strategy.con
 currency,com.netflix.hystrix.strategy.eventnotifier,com.netflix.hystr
 ix.strategy.executionhook,com.netflix.hystrix.strategy.metrics,com.ne
 tflix.hystrix.strategy.properties,com.netflix.hystrix.strategy.proper
 ties.archaius,com.netflix.hystrix.util,org.apache.commons.configurati
 on,org.apache.commons.configuration.beanutils,org.apache.commons.conf
 iguration.event,org.apache.commons.configuration.interpol,org.apache.
 commons.configuration.plist,org.apache.commons.configuration.reloadin
 g,org.apache.commons.configuration.resolver,org.apache.commons.config
 uration.tree,org.apache.commons.configuration.tree.xpath,org.apache.c
 ommons.configuration.web,org.apache.commons.io,org.apache.commons.io.
 comparator,org.apache.commons.io.file,org.apache.commons.io.filefilte
 r,org.apache.commons.io.function,org.apache.commons.io.input,org.apac
 he.commons.io.input.buffer,org.apache.commons.io.monitor,org.apache.c
 ommons.io.output,org.apache.commons.io.serialization,rx,rx.annotation
 s,rx.exceptions,rx.functions,rx.internal.operators,rx.internal.produc
 ers,rx.internal.schedulers,rx.internal.subscriptions,rx.internal.util
 ,rx.internal.util.atomic,rx.internal.util.unsafe,rx.observables,rx.ob
 servers,rx.plugins,rx.schedulers,rx.singles,rx.subjects,rx.subscripti
 ons,net.minidev.asm,net.minidev.asm.ex,net.minidev.json,net.minidev.j
 son.annotate,net.minidev.json.parser,net.minidev.json.reader,net.mini
 dev.json.writer,org.HdrHistogram,org.objectweb.asm,org.objectweb.asm.
 signature
Provide-Capability: liferay.resource.bundle;resource.bundle.aggregate=
 "(bundle.symbolic.name=com.liferay.dynamic.data.mapping.lang)";resour
 ce.bundle.base.name="content.Language",osgi.service;objectClass:List<
 String>="com.liferay.dynamic.data.mapping.data.provider.DDMDataProvid
 er";uses:="com.liferay.dynamic.data.mapping.data.provider",osgi.servi
 ce;objectClass:List<String>="com.liferay.dynamic.data.mapping.data.pr
 ovider.DDMDataProviderInstanceSettings";uses:="com.liferay.dynamic.da
 ta.mapping.data.provider",osgi.service;objectClass:List<String>="com.
 liferay.dynamic.data.mapping.data.provider.DDMDataProviderInvoker";us
 es:="com.liferay.dynamic.data.mapping.data.provider",osgi.service;obj
 ectClass:List<String>="com.liferay.dynamic.data.mapping.data.provider
 .settings.DDMDataProviderSettingsProvider";uses:="com.liferay.dynamic
 .data.mapping.data.provider.settings"
Require-Capability: osgi.extender;filter:="(&(osgi.extender=osgi.compo
 nent)(version>=1.3.0)(!(version>=2.0.0)))",osgi.service;filter:="(obj
 ectClass=com.liferay.dynamic.data.mapping.data.provider.DDMDataProvid
 erInstanceSettings)";effective:=active,osgi.service;filter:="(objectC
 lass=com.liferay.dynamic.data.mapping.data.provider.DDMDataProviderTr
 acker)";effective:=active,osgi.service;filter:="(objectClass=com.life
 ray.dynamic.data.mapping.data.provider.settings.DDMDataProviderSettin
 gsProvider)";effective:=active,osgi.service;filter:="(objectClass=com
 .liferay.dynamic.data.mapping.io.DDMFormValuesDeserializer)";effectiv
 e:=active,osgi.service;filter:="(objectClass=com.liferay.dynamic.data
 .mapping.service.DDMDataProviderInstanceService)";effective:=active,o
 sgi.service;filter:="(objectClass=com.liferay.petra.json.web.service.
 client.JSONWebServiceClientFactory)";effective:=active,osgi.service;f
 ilter:="(objectClass=com.liferay.portal.kernel.cache.MultiVMPool)";ef
 fective:=active,osgi.service;filter:="(objectClass=com.liferay.portal
 .kernel.json.JSONFactory)";effective:=active,osgi.contract;osgi.contr
 act=JavaServlet;filter:="(&(osgi.contract=JavaServlet)(version=3.1.0)
 )",osgi.ee;filter:="(&(osgi.ee=JavaSE)(version=1.8))"
Service-Component: OSGI-INF/com.liferay.dynamic.data.mapping.data.prov
 ider.internal.DDMDataProviderInstanceSettingsImpl.xml,OSGI-INF/com.li
 feray.dynamic.data.mapping.data.provider.internal.DDMDataProviderInvo
 kerImpl.xml,OSGI-INF/com.liferay.dynamic.data.mapping.data.provider.i
 nternal.rest.DDMRESTDataProvider.xml,OSGI-INF/com.liferay.dynamic.dat
 a.mapping.data.provider.internal.settings.DDMRESTDataProviderSettings
 Provider.xml
Tool: Bnd-4.3.0.201909301554
Web-ContextPath: /dynamic-data-mapping-data-provider-impl

